-- name: CreateOrganization :one
INSERT INTO "organization"
    (name, owner_name, owner_phone, owner_email, created_at, deleted_at, authorized, auth_token)
VALUES ($1, $2, $3, $4, $5, $6, $7, $8)
RETURNING *;

-- name: FindOrganizationByName :one
SELECT * FROM "organization"
WHERE name = $1;

-- name: FindOrganizationById :one
SELECT * FROM "organization"
WHERE id = $1;